﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropBetweenTreeViewAndListBox.ViewModels
{
    public class DataItem
    {
        public DataItem()
        {
            this.Children = new ObservableCollection<DataItem>();
        }

        public string Header { get; set; }

        public ObservableCollection<DataItem> Children { get; set; }

        public static IEnumerable<DataItem> Generate(int count, int childrenCount)
        {
            ObservableCollection<DataItem> result = new ObservableCollection<DataItem>();

            for (int i = 0; i < count; i++)
            {
                DataItem parent = new DataItem { Header = "Item " + i };

                for (int j = 0; j < childrenCount; j++)
                {
                    parent.Children.Add(new DataItem { Header = "Item " + i + "." + j });
                }

                result.Add(parent);
            }

            return result;
        }
    }
}
